> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List all tags

> List of tags belonging to an instance.



## OpenAPI

````yaml GET /v0/tags
openapi: 3.1.0
info:
  title: Teal API
  version: '0.1'
servers:
  - url: https://api.sandbox.teal.dev
    description: Sandbox
  - url: https://api.teal.dev
    description: Production
security: []
paths:
  /v0/tags:
    get:
      tags:
        - Tags
      summary: List all tags
      description: List of tags belonging to an instance.
      operationId: get_instance_tags_v0_tags_get
      parameters:
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Optional name of tag for filtering.
            title: Name
          description: Optional name of tag for filtering.
        - name: tag_group_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Optional tag group ID for filtering.
            title: Tag Group Id
          description: Optional tag group ID for filtering.
        - name: include_disabled
          in: query
          required: false
          schema:
            type: boolean
            description: Include disabled tags.
            default: false
            title: Include Disabled
          description: Include disabled tags.
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/InstanceTagSort'
              - type: 'null'
            description: A comma separated list of sort orders for the results.
            teal_explode: false
            title: Sort
          description: A comma separated list of sort orders for the results.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            exclusiveMaximum: 1001
            description: The number of records to return. Max limit is 1000.
            default: 50
            title: Limit
          description: The number of records to return. Max limit is 1000.
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Opaque page token
            title: Page Token
          description: Opaque page token
        - name: teal-instance-id
          in: header
          required: true
          schema:
            type: string
            description: The teal instance ID
            title: Teal-Instance-Id
          description: The teal instance ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnhancedTagPage'
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    InstanceTagSort:
      type: string
      enum:
        - name
        - '-name'
        - enabled
        - '-enabled'
      title: InstanceTagSort
    EnhancedTagPage:
      properties:
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          description: The token to use to request the next page
          examples:
            - ikal0NEVfMhF8dJf4yQ6KQZmGD
        prev_page_token:
          anyOf:
            - type: string
            - type: 'null'
          description: The token to use to request the previous page
          examples:
            - vuA7JeKI5c6FLnPt5JfRcZcJxW
        records:
          items:
            $ref: '#/components/schemas/EnhancedTag'
          type: array
          title: Records
          description: A list of tags.
          examples:
            - - enabled: true
                id: UjL3BQnEaJtecuC7CUeDk
                name: Sprinter - 1ab-c23
                tag_group_id: NCB2xo5S1yQbNgyWskXpwG
                tag_group_name: Delivery vehicles
      type: object
      required:
        - next_page_token
        - prev_page_token
        - records
      title: EnhancedTagPage
    TealErrorResponse:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: A description of the error for API developers.
        data:
          title: Data
          description: Data associated with the error.
        display_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Message
          description: A description of the error for end users.
        error_code:
          anyOf:
            - $ref: '#/components/schemas/TealErrorCode'
            - type: 'null'
          description: Error code associated with the error.
      type: object
      required:
        - message
      title: TealErrorResponse
    EnhancedTag:
      properties:
        id:
          type: string
          title: Id
          description: The unique ID of the object.
          examples:
            - UjL3BQnEaJtecuC7CUeDk
        name:
          type: string
          title: Name
          description: An arbitrary string, useful for identifying the tag to the user.
          examples:
            - Sprinter - 1ab-c23
        tag_group_id:
          type: string
          title: Tag Group Id
          description: The ID of the tag group.
          examples:
            - NCB2xo5S1yQbNgyWskXpwG
        tag_group_name:
          type: string
          title: Tag Group Name
          description: >-
            An arbitrary string, useful for identifying the tag group to the
            user.
          examples:
            - Delivery vehicles
        enabled:
          type: boolean
          title: Enabled
          description: Whether the tag is able to be assigned to objects.
          examples:
            - true
      type: object
      required:
        - id
        - name
        - tag_group_id
        - tag_group_name
        - enabled
      title: EnhancedTag
    TealErrorCode:
      type: string
      enum:
        - invalid_date
        - invalid_ledger
        - missing_parameters
        - duplicate_name
        - duplicate_sort_code
        - invalid_ledger_type
        - invalid_ledger_report_cash_flow
        - deleting_required_ledger
        - repeated_tag_group
        - deleting_transaction_line
        - modifying_read_only_ledger
        - debits_credits_not_equal
        - modifying_datetime_opening_balance
        - modifying_accrual_journal_entry
        - modifying_payment_application_journal_entry
        - reconciliation_in_progress
        - reconciled_balance_does_not_match
        - journal_entry_outside_reconciliation_period
        - entries_start_date_after_transactions
        - entries_start_date_after_reconciliations
        - entries_start_date_after_journal_entries
      title: TealErrorCode
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.
      flows:
        password:
          scopes: {}
          tokenUrl: https://developer.teal.dev

````